org.apache.commons.math3.util

## Interface IterationListener

- All Superinterfaces:
    EventListener

      public interface IterationListener
      extends EventListener

  The listener interface for receiving events occurring in an iterative algorithm.
  Version:
    $Id: IterationListener.java 1244107 2012-02-14 16:17:55Z erans $

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `initializationPerformed(IterationEvent e)` Invoked after completion of the initial phase of the iterative algorithm (prior to the main iteration loop).
    `void` | `iterationPerformed(IterationEvent e)` Invoked each time an iteration is completed (in the main iteration loop).
    `void` | `iterationStarted(IterationEvent e)` Invoked each time a new iteration is completed (in the main iteration loop).
    `void` | `terminationPerformed(IterationEvent e)` Invoked after completion of the operations which occur after breaking out of the main iteration loop.

- - ### Method Detail

    - #### initializationPerformed

          void initializationPerformed(IterationEvent e)

      Invoked after completion of the initial phase of the iterative algorithm (prior to the main iteration loop).
      Parameters:
        `e` - The `IterationEvent` object.

    - #### iterationPerformed

          void iterationPerformed(IterationEvent e)

      Invoked each time an iteration is completed (in the main iteration loop).
      Parameters:
        `e` - The `IterationEvent` object.

    - #### iterationStarted

          void iterationStarted(IterationEvent e)

      Invoked each time a new iteration is completed (in the main iteration loop).
      Parameters:
        `e` - The `IterationEvent` object.

    - #### terminationPerformed

          void terminationPerformed(IterationEvent e)

      Invoked after completion of the operations which occur after breaking out of the main iteration loop.
      Parameters:
        `e` - The `IterationEvent` object.

Copyright © 2003-2012 The Apache Software Foundation. All Rights Reserved.